---
lang: en
title: 'API docs: boot.bootcomponent'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.boot.bootcomponent.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/boot](./boot.md) &gt; [BootComponent](./boot.bootcomponent.md)

## BootComponent class

BootComponent is used to export the default list of Booter's made available by this module as well as bind the BootStrapper to the app so it can be used to run the Booters.

<b>Signature:</b>

```typescript
export declare class BootComponent implements Component 
```

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(app)](./boot.bootcomponent._constructor_.md) |  | Constructs a new instance of the <code>BootComponent</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [booters](./boot.bootcomponent.booters.md) |  | <code>(typeof ApplicationMetadataBooter &#124; typeof ControllerBooter &#124; typeof RepositoryBooter &#124; typeof ServiceBooter &#124; typeof DataSourceBooter &#124; typeof LifeCycleObserverBooter &#124; typeof InterceptorProviderBooter)[]</code> |  |


